summaryrefslogtreecommitdiff
path: root/src/testing/test-merchant-walletharness.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/test-merchant-walletharness.sh')
-rwxr-xr-xsrc/testing/test-merchant-walletharness.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/testing/test-merchant-walletharness.sh b/src/testing/test-merchant-walletharness.sh
new file mode 100755
index 00000000..f3f1d59a
--- /dev/null
+++ b/src/testing/test-merchant-walletharness.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+# This script runs test from the wallet's integration test harness.
+# If the wallet is not installed, the tests are skipped.
+# Only tests from the "merchant" test suite are run.
+
+set -eu
+
+res=0
+taler-wallet-cli testing run-integrationtests --dry --suites merchant 2&>/dev/null || res=$?
+
+if [[ $res -ne 0 ]]; then
+ echo "skipping wallet test harness"
+ exit 77
+fi
+
+
+exec taler-wallet-cli testing run-integrationtests --suites merchant